Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class MIMEAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.MIMEAccess

public class MIMEAccess
extends java.lang.Object

MIMEAccess
Réalise les opérations relatives aux types MIME dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.1 $
Author:
  Mathieu Larchet

Constructor Summary
`MIMEAccess()`

Method Summary
`static void` | `createMIME(org.esupportail.portal.utils.database.Query query, MIME mime)` Crée un type MIME
`static java.util.List` | `getMIMEs(org.esupportail.portal.utils.database.Query query)` Récupère tous les types MIME
`static boolean` | `mimeExist(org.esupportail.portal.utils.database.Query query, java.lang.String extension)` Teste si un type MIME existe déjà
`static void` | `removeMIME(org.esupportail.portal.utils.database.Query query, java.lang.String extension)` Supprime un type MIME

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIMEAccess

    public MIMEAccess()

Method Detail

### getMIMEs

    public static java.util.List getMIMEs(org.esupportail.portal.utils.database.Query query)
                                   throws DataException

  Récupère tous les types MIME

  Parameters:
    `query` - La connexion à utiliser
  Returns:
    mimes La liste des types MIME
  Throws:
    `DataException`

### createMIME

    public static void createMIME(org.esupportail.portal.utils.database.Query query,
                                  MIME mime)
                           throws DataException

  Crée un type MIME

  Parameters:
    `query` - La connexion à utiliser
    `mime` - Le type MIME à créer
  Throws:
    `DataException`

### removeMIME

    public static void removeMIME(org.esupportail.portal.utils.database.Query query,
                                  java.lang.String extension)
                           throws DataException

  Supprime un type MIME

  Parameters:
    `query` - La connexion à utiliser
    `extension` - L'extension associée au type MIME
  Throws:
    `DataException`

### mimeExist

    public static boolean mimeExist(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String extension)
                             throws DataException

  Teste si un type MIME existe déjà

  Parameters:
    `query` - La connexion à utiliser
    `extension` - L'extension du type à tester
  Returns:
    boolean True si le type MIME existe, false sinon
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD